From 1dcb16de656d48c1004d4f4a12475438618a5c72 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Wed, 3 May 2017 14:18:22 -0300
Subject: [PATCH] Add pg_dump tests for CREATE STATISTICS

---
 src/bin/pg_dump/t/002_pg_dump.pl | 36 +++++++++++++++++++++++++++++++++++-
 1 file changed, 35 insertions(+), 1 deletion(-)

diff --git a/src/bin/pg_dump/t/002_pg_dump.pl b/src/bin/pg_dump/t/002_pg_dump.pl
index ccd0ed6a53..79108cd331 100644
--- a/src/bin/pg_dump/t/002_pg_dump.pl
+++ b/src/bin/pg_dump/t/002_pg_dump.pl
@@ -1053,7 +1053,7 @@ my %tests = (
 		all_runs  => 1,
 		catch_all => 'ALTER TABLE ... commands',
 		create_order => 96,
-		create_sql => 'ALTER TABLE dump_test.test_table CLUSTER ON test_table_pkey',
+		create_sql => 'ALTER TABLE dump_test.test_table CLUSTER ON test_table_pkey;',
 		regexp    => qr/^
 			\QALTER TABLE test_table CLUSTER ON test_table_pkey;\E\n
 			/xm,
@@ -4920,6 +4920,40 @@ qr/CREATE TRANSFORM FOR integer LANGUAGE sql \(FROM SQL WITH FUNCTION pg_catalog
 			role                     => 1,
 			section_post_data        => 1, }, },
 
+	'CREATE STATISTICS extended_stats_no_using' => {
+		all_runs     => 1,
+		catch_all    => 'CREATE ... commands',
+		create_order => 97,
+		create_sql   => 'CREATE STATISTICS dump_test.test_ext_stats_no_using
+							ON (col1, col2) FROM dump_test.test_fifth_table;',
+		regexp => qr/^
+			\QCREATE STATISTICS dump_test.test_ext_stats_no_using ON (col1, col2) FROM test_fifth_table;\E
+		    /xms,
+		like => {
+			binary_upgrade          => 1,
+			clean                   => 1,
+			clean_if_exists         => 1,
+			createdb                => 1,
+			defaults                => 1,
+			exclude_test_table      => 1,
+			exclude_test_table_data => 1,
+			no_blobs                => 1,
+			no_privs                => 1,
+			no_owner                => 1,
+			only_dump_test_schema   => 1,
+			pg_dumpall_dbprivs      => 1,
+			schema_only             => 1,
+			section_post_data       => 1,
+			test_schema_plus_blobs  => 1,
+			with_oids               => 1, },
+		unlike => {
+			exclude_dump_test_schema => 1,
+			only_dump_test_table     => 1,
+			pg_dumpall_globals       => 1,
+			pg_dumpall_globals_clean => 1,
+			role                     => 1,
+			section_pre_data         => 1, }, },
+
 	'CREATE SEQUENCE test_table_col1_seq' => {
 		all_runs  => 1,
 		catch_all => 'CREATE ... commands',
-- 
2.11.0

